Datagraph Search
Query and search content.
Query and search content.
storyden-session<token>q?stringSearch query string.
0 <= lengthkind?array<>Datagraph item kind query.
categories?array<>Datagraph item category query. When set, only items assigned to the specified category slugs will be returned.
page?stringPagination query parameters.
Search results.
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integeritems*array<||||>curl -X GET 'https://example.com/api/datagraph'{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "items": [ { "kind": "post", "ref": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "title": "string", "description": "string", "slug": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "visibility": "draft", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "reacts": [ { "id": "string", "emoji": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] } } ], "collections": { "in_collections": 0, "has_collected": true }, "likes": { "likes": 0, "liked": true }, "meta": {}, "body": "string", "body_links": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" } ] } } ]}Datagraph Matches GET
Query the datagraph optimised for typeahead scenarios. This endpoint is only active when a `SEARCH_PROVIDER` that supports fast access is used. This includes providers such as Bleve and Redis. This endpoint will return a minified set of results directly from the configured search index, without hitting the database. This makes it suitable for performance sensitive use-cases such as type-ahead search, @ mentioning threads/pages, CTRL+K style menus, and more. Results will include a `kind` field and short content, but will not contain graph edges (such as authorship, links, etc.) due to constraints of the underlying search index and to keep payload sizes smaller.
Event Create POST
Create a new event. When an event is created, a thread is also created which provides the means for discussion via the thread and reply APIs.